package com.mosty.base.service;

import com.mosty.base.model.vo.base.DeptInfoVo;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.core.business.entity.vo.SysUserDeptVO;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author dw
 * @since 2022/8/8
 **/
public interface UserDeptService {

    @ApiOperation("查询所有的用户数据（包含对应的部门信息）")
    List<SysUserDeptVO> getUserAll(String deptid);

    @ApiOperation("查询部门下的人员信息")
    List<SysUserDeptVO> getUserList(String deptid);

    @ApiOperation("根据用户ID，获取用户部门信息")
    DeptInfoVo getDeptInfoByUserId(String userId);

    @ApiOperation("查询部门下的总人数（包含子部门）")
    Integer getUserCount(String deptid);

    @ApiOperation("查询用户是否有该部门的数据权限")
    boolean getDataPermission(String sfz, String deptcode);

    @ApiOperation("根据身份证号，获取用户部门信息")
    DeptInfoVo getDeptInfoBySfzh(String sfzh);

}
